Package: kchmviewer / 7.7-1

Metadata

Package Version Patches format
kchmviewer 7.7-1 3.0 (quilt)

Patch series

view the series file
Patch File delta Description
disable_check_new_version.patch | (download)

src/config.cpp | 2 1 + 1 - 0 !
src/dialog_setup.cpp | 2 1 + 1 - 0 !
2 files changed, 2 insertions(+), 2 deletions(-)

 disable check new version
Bug: 602535

force_qtwebkit.diff | (download)

src/src.pro | 10 0 + 10 - 0 !
1 file changed, 10 deletions(-)

 force the use of qtwebkit for any qt5 version
 QtWebKit is used only when Qt is < 5.6, but the QtWebEngine alternative is
 considered experimental, and an error is issued.
 .
 Hence, just use QtWebKit for any version of Qt5.
fix_lib_order.patch | (download)

src/src.pro | 9 5 + 4 - 0 !
1 file changed, 5 insertions(+), 4 deletions(-)

 link libebook.a before its deps.
 This fixes --as-needed builds.